<?php

class CommonFunctions
{
	public function mascaraCPF($param)
	{
		$cpf = trim(preg_replace("/[^0-9]/", "", $param));

		return preg_replace('/(\d{3})(\d{3})(\d{3})/','$1.$2.$3-',$cpf);
	}

	public function mascaraPhone($param)
	{
		$phone = trim(preg_replace("/[^0-9]/", "", $param));

		return preg_replace('/(\d{2})(\d{4})(\d{4})/','($1)$2-$3',$phone);
	}

	public function validatePassword($param)
	{
		$sizePassword = strlen(trim($param));
		
		$numbers = strlen(preg_replace("/[^0-9]/", "", trim($param)));

		$return['status'] = true;

		if( (int)$sizePassword < 8 )
		{
			$return["status"] = false;
			$return["msg"] = "you need a minimum of 8 characters for the password";
		}
		else
		{
			if( (int)$numbers < 2 )
			{
				$return["status"] = false;
				$return["msg"] = "must have 2 numbers in the password";
			}
		}	

		return $return;
	}

	public function validateCharacters( $params )	
	{
		$search = trim(preg_replace("/[^a-z_0-9_A-Z_-_.]/", "", $params));

		$return['status'] = true;

		if( strtolower($search) != strtolower(trim($params)) )
		{
			$return['status'] = false;
			$return['msg'] = "Field contains characters not allowed";
		}

		return $return;
	}

	public function validateCPF( $cpf )
	{
		$seqInvalid = array('11111111111','22222222222','33333333333',
							'44444444444','55555555555','66666666666',
							'77777777777','88888888888','99999999999',
							'00000000000', '12345678909');
		
		$cpf = trim(preg_replace("/[^0-9]/", "", $cpf));

		if( strlen($cpf) != 11 )
			return False;

		if( in_array( $cpf, $seqInvalid ) )
		{
			return False;
		}

		$a = 0;
		
		for( $i = 0 ; $i < 9 ; $i++ )
		{
			$a += ($cpf[$i]*(10 - $i));
		}

		$b = ($a % 11);
		
		$a = ( ($b > 1) ? (11 - $b) : 0);
		
		if( $a != $cpf[9] )
		{
			return False;
		}
		
		$a = 0;

		for ( $i=0; $i < 10; $i++ )
		{
			$a += ($cpf[$i]*(11 - $i));
		}

		$b = ($a % 11);

		$a = (($b > 1) ? (11 - $b) : 0);
		
		if( $a != $cpf[10] )
		{
			return False;
		}

		return True;
	}
}

?>